Bug 11840 - Notifyd daemon exits on issuing general purpose signals like SIGHUP and SIGUSR1.
Notifyd daemon exits on issuing general purpose signals like SIGHUP and SIGUSR1.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.3.5
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-14 20:18 UTC by Hemanth
Modified: 2016-05-11 11:36 UTC (History)
1 user (show)

See Also:


Attachments
Patch for master. (1.10 KB, text/plain)
2016-04-14 20:20 UTC, Hemanth
no flags Details
Patch for 4.3 (1.43 KB, patch)
2016-04-28 12:12 UTC, Volker Lendecke
metze: review+
Details
Patch for 4.4 (1.43 KB, patch)
2016-04-28 12:13 UTC, Volker Lendecke
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hemanth 2016-04-14 20:18:56 UTC
We have recently moved to samba version 4.3.5.
While working on this build, we have observed that Notifyd was getting disappeared every now and then. Later we have found that it was exiting on receiving SIGHUP signal which we normally use to broadcast(using killall -SIGHUP smbd) all smbd processes for reload config.

Since notifyd is forked from smbd and not having any handlers for signals like SIGHUP, SIGUSR1,etc it simply existed.

We need to mask those signals which we are not handling.
Comment 1 Hemanth 2016-04-14 20:20:20 UTC
Created attachment 11999 [details]
Patch for master.
Comment 2 Stefan Metzmacher 2016-04-28 03:40:03 UTC
Volker, can you have a look please?

Thanks!
metze
Comment 3 Volker Lendecke 2016-04-28 10:38:52 UTC
(In reply to Stefan Metzmacher from comment #2)
> Volker, can you have a look please?
> 
> Thanks!
> metze

Yes, I will do.
Comment 4 Volker Lendecke 2016-04-28 12:12:08 UTC
Created attachment 12040 [details]
Patch for 4.3
Comment 5 Volker Lendecke 2016-04-28 12:13:28 UTC
Created attachment 12041 [details]
Patch for 4.4
Comment 6 Volker Lendecke 2016-04-28 12:14:15 UTC
4.2 does not have the notifyd yet
Comment 7 Volker Lendecke 2016-04-28 12:14:57 UTC
Stefan, please review the patches and pass the bug on the Karolin. Thanks, Volker
Comment 8 Karolin Seeger 2016-04-29 08:55:55 UTC
Pushed to autobuild-v4-[4|3]-test.
Comment 9 Karolin Seeger 2016-05-11 11:36:08 UTC
(In reply to Karolin Seeger from comment #8)
Pushed to both branches.
Closing out bug report.

Thanks!